Loading...
Searching...
No Matches
elastix::log::guard Class Reference

`#include <elxlog.h>`

## Detailed Description

Does setup and reset the logging system, according to the C++ "RAII" principle)

Definition at line 50 of file elxlog.h.

## Public Member Functions

| guard ()
| guard (const std::string &log_filename, const bool do_log_to_file, const bool do_log_to_stdout, const level log_level)
| ~guard ()

## Constructor & Destructor Documentation

## guard() [1/2]

elastix::log::guard::guard | ( |  | ) |

Default-constructor, just creates a guard object, to be destructed later.

## guard() [2/2]

elastix::log::guard::guard | ( | const std::string & | log_filename,
|  | const bool | do_log_to_file,
|  | const bool | do_log_to_stdout,
|  | const level | log_level )

Does setup the logging system.

## ~guard()

elastix::log::guard::~guard | ( |  | ) |

Does reset the logging system.

Generated on 1768596610 for elastix by 1.15.0 |